# Devices

## List

> Retrieve Criteria Device List of a Site Defaults object.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFADefaultSettings/Criteria/Devices":{"get":{"tags":["2-Site settings/Multi-factor Authentication/1-Default settings/Criteria//Device"],"summary":"List","description":"Retrieve Criteria Device List of a Site Defaults object.","operationId":"983b4472-927a-420f-aabf-a9cc0282ed73","parameters":[{"name":"siteId","in":"query","description":"The SiteId of a Site Defaults object for which to retrieve the Criteria settings (optional).","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClientDeviceCriteriaEntry"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ClientDeviceCriteriaEntry":{"type":"object","properties":{"client":{"type":"string","description":"<para type=\"description\">The name of the client device.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client device criteria entry</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add

> Add a device to the Device List of the Criteria settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFADefaultSettings/Criteria/Devices":{"post":{"tags":["2-Site settings/Multi-factor Authentication/1-Default settings/Criteria//Device"],"summary":"Add","description":"Add a device to the Device List of the Criteria settings.","operationId":"cf63bf1e-b0c9-47d5-abdf-927054a21652","parameters":[{"name":"siteId","in":"query","description":"The Site ID of an object for which to modify the Criteria settings (optional).","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Device configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddCriteriaDevice"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddCriteriaDevice":{"required":["clientDeviceName"],"type":"object","properties":{"clientDeviceName":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The name of the client device to add to the Criteria.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add a client device to the Criteria Devices list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Remove

> Remove a device from the Device List of the Criteria settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFADefaultSettings/Criteria/Devices":{"delete":{"tags":["2-Site settings/Multi-factor Authentication/1-Default settings/Criteria//Device"],"summary":"Remove","description":"Remove a device from the Device List of the Criteria settings.","operationId":"6df73a86-3647-4218-a393-eb55847b3277","parameters":[{"name":"siteId","in":"query","description":"The Site ID of an object for which to modify the Criteria settings (optional).","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Device configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveCriteriaDevice"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveCriteriaDevice":{"required":["clientDeviceName"],"type":"object","properties":{"clientDeviceName":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The name of the client device to remove from the Criteria.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Remove a client device from the Criteria Devices list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/mfa/mfa-default-settings/criteria/devices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
